Subject: bug#57572: 29.0.50; Tramp error with tramp-file-name-unify

From: Thierry Volpiatto <[email-masked]>
Date: Sun, 11 Sep 2022 08:50:43 +0000

Hello Michael,

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
> Hi Thierry,
>
>>> But wait, you are in file name completion.
>>
>> Yes, but not sure tramp detects a "file name completion" here as it is
>> not a standard completion used here.
>
> Tramp doesn't need to detect that you're in file name completion or
> whatever, there are some functions to be called depending on the file
> name syntax you pass as arguments, that's all.
>
>>> So I guess you have bound `non-essential' to t. In that case,
>>> `expand-file-name' expands only, if the connection is established
>>> already.
>>
>> I have now bound non-essential to nil _before_ calling
>> file-accessible-directory-p and I have no error.
>> Perhaps it is the right way to do?
>
> non-essential is a mean to tell Tramp, that it shouldn't open a
> connection when it isn't established yet.

Yes, it is what I always understood but I am now confused because the
connection is trigerred by file-accessible-directory-p even with
non-essential==t.

> That's why you bind it in helm to t. Of course it will work when you
> don't bind it.

It is bound to t on top but it is nil in helm-find-files-get-candidates.

> But then, there are other problems.

Yes of course but only if I bind it on top, isn't it?

> The patch I've shown to you yesterday solves your helm-find-files
> case, but the Tramp testsuite fails. I'm analyzing what's up.

Ok thanks.

-- 
Thierry